stages:
#- test
- build
- deploy

#test_frontend:
#    stage: test
#    image: morlack/node-chromium
#    script: "cd frontend && npm install && npm test"
    
#test_backend:
#    stage: test
#    image: morlack/maven-8-aws-cli-docker
#    script: "cd backend && mvn test"
    
build_frontend:
    stage: build
    image: morlack/node-chromium
    script: "cd frontend && npm install && npm run build"
    artifacts:
        paths:
            - frontend/dist/*

#build_backend:
#    stage: build
#    image: morlack/maven-8-aws-cli-docker
#    script: "cd backend && mvn install -B -DskipTests"
#    artifacts:
#        paths:
#            - backend/target/*.jar
            
deploy_frontend:
    stage: deploy
    image: morlack/maven-8-aws-cli-docker
    script:
        - S3_USERNAME="hteker"
        - aws s3 cp frontend/dist/* s3://workshop-hr-2018/deploy/${S3_USERNAME}/ --recursive
        - echo "You can find your website on http://workshop-hr-2018.s3-website.eu-west-2.amazonaws.com/deploy/$S3_USERNAME"
    dependencies:
        - build_frontend    
        